#(define (lyric-hyphen-replacement-stencil arg)
 (lambda (grob)
   (if (ly:stencil? (ly:lyric-hyphen::print grob))
       (let* ((stil (ly:lyric-hyphen::print grob))
              (x-ext (ly:stencil-extent stil X))
              (dash-period (ly:grob-property grob 'dash-period))
              (arg-stil (grob-interpret-markup grob arg))
              (arg-stil-x-ext (ly:stencil-extent arg-stil X))
              (length-to-print (interval-length x-ext))
              (guess (max 0 (truncate (/ length-to-print dash-period))))
              (guessed-args-line-length (* guess dash-period))
              (line-length-diff (- length-to-print guessed-args-line-length))
              (line-length-diff-for-each-arg (/ line-length-diff guess))
              (first-arg-length (+ dash-period line-length-diff-for-each-arg))
              (first-arg-end-coord
                  (/ (* first-arg-length
                        (- (interval-length x-ext)
                           (interval-length arg-stil-x-ext)))
                     length-to-print))
              (list-of-starts
                (map
                  (lambda (n) (* n first-arg-end-coord))
                  (iota (+ 1 guess)))))
         (ly:stencil-translate-axis
           (apply
             ly:stencil-add
             (map
               (lambda (x-val) (ly:stencil-translate-axis (ly:stencil-aligned-to arg-stil CENTER X) x-val X))
               list-of-starts))
           (/ (+ (car x-ext) (cdr x-ext)) 2.) X))
       (ly:grob-suicide! grob))))

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% EXAMPLES
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

newLH =
#(define-music-function (mrkp)(markup?)
#{
  \override LyricHyphen.after-line-breaking =
    #(lambda (grob)
      (if (ly:stencil? (ly:lyric-hyphen::print grob))
          (ly:grob-set-property! grob 'stencil
              ((lyric-hyphen-replacement-stencil mrkp ) grob))))
#})

\layout {
  \context {
    \Lyrics
    \newLH "-"
    \override LyricHyphen.font-family = #'condensed
    \override LyricHyphen.font-size = #1
  }
}