\version "2.19.53"

#(define (remove-rehearsal-mark-outside-staff-context grob grob-origin context)
  (if (and (memq 'mark-interface (ly:grob-interfaces grob))
       (not (eq? 'Staff (ly:context-name grob-origin))))
       (set! (ly:grob-property grob 'stencil) #f)))

perVoice = {
  \dynamicUp
  \override TextSpanner.to-barline = ##t
}
perScore = {
  \tempo "Andante"
  \partial 8 s8 s2.*7 s8*5 % \bar "||"
  s8 s2.*7 s8*5 % \bar "||"
  s8 s2.*7 s8*5 % \bar "||"
  s8 s2.*7 s8*5 \bar "|."
}
perStaff = {
  \time 2,1,2,1 6/8
  \key g \minor
}

breaks = {
%   \partial 8 s8 s2.*7 s8*5 \pageBreak
%   s8 s2.*7 s8*5 \pageBreak
%   s8 s2.*7 s8*5 \pageBreak
%   s8 s2.*7 s8*5
}

piup = #(make-dynamic-script
         (markup #:normal-text #:italic "più "
           #:dynamic "p"))
rit = \override TextSpanner.bound-details.left.text = "rit."
pocorit = \override TextSpanner.bound-details.left.text = "poco rit."
%atempo = \tempo \markup \normal-text \italic "a tempo"

atempo = ^#(markup #:normal-text #:italic "a tempo")

topmostStaffI = {
  \partial 8 s8
  | s2.*6
  | s4 \pocorit s8\startTextSpan s4.
  | s4.\stopTextSpan s4
}
topmostStaffII = {
  s8\atempo
  | s2.*6
  | s4 \rit s8\startTextSpan s4.
  | s4.\stopTextSpan s4
}
topmostStaffIII = \topmostStaffII
topmostStaffIV = \topmostStaffIII
topmostStaff = { \topmostStaffI \topmostStaffII \topmostStaffIII \topmostStaffIV }

sopI = \relative c' {
  \partial 8 d8
  | g4 a8 bes8.( a16) g8
  | d'4. a4 c8
  | bes8.( a16) g8 fis4 g8
  | a4.~ a4 a8
  | d4 d8 bes4 g8
  | g'4. es4 c8
  | bes8.( a16) g8 a( g) fis
  | g4.~ g8 r
}
sopDynI = {
  \partial 8 s8\p\<
  | s4. s\!
  | s4.\> s4\! s8\<
  | s4 s8\! s4.
  | s4.\> s4\! s8\<
  | s2.\cresc
  | s4.\f s\dim
  | s4 s8 s4 s8
  | s4.\pp s4
}

sopII = \sopI
sopDynII = {
  s8\p\<
  | s4. s8. s16\! s8
  | s4.\> s4\! s8\piup\<
  | s8. s16\! s8 s4.
  | s4.\> s4\! s8\<
  | s2.
  | s4.\f s4\> s8\p
  | s4 s8\> s4.
  | s4.\pp s4
}

sopIII = \relative c'' {
  d8
  | d4 d8 d8.( c16) bes8
  | a4( b8) cis( d) es
  | d8.( c16) bes8 bes( a) g
  | fis4 g8 a( d) c
  | bes( c) d e( fis) g
  | cis,4( d8) es4 es8
  | bes8.( c16) cis8 d( c) a
  | g4.~ g8 r
}
sopDynIII = {
  s8\p\<
  | s4 s8\! s4.
  | s4.\> s8 s8\! s8\<
  | s4 s8\! s4.
  | s8. s8.\> s8 s8\! s8\<
  | s2.
  | s4.\f s4\> s8\p
  | s4 s8\> s4.
  | s4. s4\pp
}

sopIV = \relative c' {
  d8
  | g4 a8 bes8.( a16) g8
  | d'4. a4 c8
  | bes8.( a16) g8 fis4 g8
  | a4.~ a4 a8
  | d4 d8 bes4 g8
  | g'4. es4 c8
  | bes8.( a16) g8 a( g) fis
  | g4.~ g8\fermata r
}
sopDynIV = {
  s8\p\<
  | s4 s8\! s4.
  | s4.\> s8 s8\! s8\<
  | s4.\! s4 s8\>
  | s4 s8\! s4 s8\<
  | s2.
  | s4.\ff\> s4 s8\pp
  | s8.\< s16\! s8 s4 s8\>
  | s4.\ppp s4
}

sop = { \sopI \sopII \sopIII \sopIV }
sopDyn = { \sopDynI \sopDynII \sopDynIII \sopDynIV }

altI = \relative c' {
  \partial 8 d8
  | d4 d8 d4 d8
  | d4( e8) fis4 a8
  | g4 d8 es( d) e
  | fis4 g8 fis4 fis8
  | g4 fis8 g4 g8
  | g4. g4 g8
  | g4 d8 es( d) d16( c)
  | bes4.~ bes8 r
}
altDynI = \sopDynI

altII = \relative c' {
  d16( c)
  | bes4 d8 d4 d16( g)
  | f4( e8) d4 es8
  | d4 d8 es4 es8
  | e4 cis8 d4 d8
  | d( fis) g g( fis) g
  | g([ as bes]) c( bes) a
  | g( d) es e( d) d16( c)
  | bes4.~ bes8 r
}
altDynII = \sopDynII

cffootnoteMarkup = \markup {
  \with-dimensions #'(0 . 0) #'(0 . 0)
  \translate #'(0 . -9.5)
  \general-align #Y #UP
  \abs-fontsize #8 \concat {
    \with-dimensions #'(0 . 0) #'(0 . 0) \general-align #X #RIGHT "* "
    "Die Melodie (in der 3. Strophe durch _ _ kenntlich) ist entsprechend hervorzuheben."
  }
}

altIII = \relative c' {
  d8-\footnote "" #'(0 . 0) \cffootnoteMarkup --
  | g4-- a8-- bes8.--( a16--) g8--
  | d'4.-- a4-- c8--
  | bes8.--( a16--) g8-- fis4-- g8--
  | a4.--~ a4 a8
  | a4 g8 g4 g8
  | bes4. bes8( a) as
  | g4 g8 fis( e) d16( c)
  | bes4.~ bes8 r
}
altDynIII = \sopDynIII

altIV = \relative c' {
  d8
  | d4 fis8 g4 d8
  | d([ es e]) d( e) fis
  | g4 d8 d4 d8
  | e4 e8 d( e) fis16( a)
  | a8( g) f e( fis) g
  | g4. g8.( es16) es8
  | es4 des8 c4 d16( c)
  | b4.~ b8\fermata r
}
altDynIV = \sopDynIV

alt = { \altI \altII \altIII \altIV }
altDyn = { \altDynI \altDynII \altDynIII \altDynIV }

tenI = \relative c' {
  \partial 8 d8
  | bes4 a8 g8.( a16) bes8
  | a4( bes8) d4 es8
  | d8.( c16) bes8 c4 bes8
  | d4 cis8 d4 d8
  | d4 c8 d8.( c16) bes8
  | bes4( b8) c( d) es
  | d8.( c16) bes8 c( bes) a
  | g4.~ g8 r
}
tenDynI = \sopDynI

tenII = \relative c {
  r8
  | r4 fis8 g4 g8
  | as4 g8 fis g a
  | bes4 bes8 bes4 bes8
  | a4 g8 fis( g) a
  | bes( c) d e( d) d16( bes)
  | bes4( es8) es4 es8
  | d4 c16( bes) a8( bes) a
  | g4.~ g8 r
}
tenDynII = {
  s8
  | s4 s8\p\< s4 s8\!
  | s4.\> s4\! s8\piup\<
  | s4. s4.\!
  | s4.\> s8 s8\! s8\<
  | s2.
  | s4.\f s4\> s8\p
  | s4 s8\> s4.
  | s4.\pp s4
}

tenIII = \relative c' {
  a8
  | bes4 c8 d4 e8
  | fis4( f8) e( f) fis
  | g4 d8 c4 bes8
  | d4 e8 fis( d) d-\footnote "" #'(0 . 0) "" --
  | d4-- d8-- bes4-- g8--
  | g'4.-- es4-- c8--
  | bes8.--( a16--) g8-- a--( g--) fis--
  | g4.--~ g8 r
}
tenDynIII = {
  s8\p\<
  | s4 s8\! s4.
  | s4.\> s8 s8\! s8\<
  | s4 s8\! s4.
  | s4.\> s8 s8\! s8\<
  | s2.
  | s4.\f s4\> s8\p
  | s4 s8\> s4.
  | s4. s4\pp
}

tenIV = \relative c' {
  d16( c)
  | bes4 c8 des8.( c16) bes8
  | a4( bes8) a( bes) d
  | d4 d8 d4 d8
  | d4 cis8 d4 d8
  | d4 d8 d4 d8
  | d8([ es b]) c4 c8
  | g4 bes8 a4 a8
  | g4.~ g8\fermata r
}
tenDynIV = \sopDynIV

ten = { \tenI \tenII \tenIII \tenIV }
tenDyn = { \tenDynI \tenDynII \tenDynIII \tenDynIV }

basI = \relative c {
  \partial 8 d8
  | g4 fis8 g4 g8
  | fis4( g8) d4 fis8
  | g4 g8 a4 g8
  | d4.~ d4 c'8
  | bes4 a8 g4 g16( f)
  | es4( d8) c( bes) a
  | d4 d8 d4 d8
  | g,4.~ g8 r
}
basDynI = \sopDynI

basII = \relative c {
  r8
  | r4 d8 g,4 a8
  | bes4 bes8 d e fis
  | g4 bes,8 es4 c8
  | cis4 e8 d( e) fis
  | g( a) b cis( d16 c) bes( g)
  | es8([ f g]) as( g) fis
  | g( bes,) c cis( d) d
  | g,4.~ g8 r
}
basDynII = \tenDynII

basIII = \relative c {
  fis8
  | g4 g8 g4 cis,8
  | d4( gis8) a4 a8
  | bes4 bes8 es,4 es8
  | d4.(~ d8 e) fis
  | g( a) bes c,( d) es
  | e4( d8) c4 c8
  | es4 es8 d4 d8
  | g,4.~ g8 r
}
basDynIII = \tenDynIII

basIV = \relative c {
  r8
  | r4 d8 e4_\markup { \normal-text \italic "un poco marcato il Basso" } f8
  | fis4 g8 fis g a
  | g8.( a16) bes8 b( c) bes
  | a4 g8 fis( e) d16( c)
  | bes4 a8 g( a) bes
  | b([ c d]) es( f16 g) as8
  | es4 e8 f( es) d
  | << { \voiceOne d4.~ d8\fermata } \new Voice { \voiceTwo g,4.~ g8\fermata } >> \oneVoice r8
}
basDynIV = {
  s8
  | s4 s8\p\< s8 s4\!
  | s4.\> s8 s8\! s8\<
  | s4.\! s4 s8\>
  | s4 s8\! s4 s8\<
  | s2.
  | s4.\ff\> s4 s8\pp
  | s8.\< s16\! s8 s4 s8\>
  | s4.\ppp s4
}

bas = { \basI \basII \basIII \basIV }
basDyn = { \basDynI \basDynII \basDynIII \basDynIV }

lyrSopI = \lyricmode {
  \set stanza = "1."
  Ich hab’ die Nacht __ ge -- träu -- met
  wohl ei -- nen schwe -- ren Traum: __
  Es wuchs in mei -- nem Gar -- ten
  ein Ros -- ma -- ri -- en -- baum. __
}
lyrSopII = \lyricmode {
  \set stanza = "2."
  Ein Kirch -- hof war __ der Gar -- ten,
  ein Blu -- men -- beet das Grab, __
  und von den grü -- nen Bäu -- men
  fiel Kron’ __ und Blü -- te ab. __
}
lyrSopIII = \lyricmode {
  \set stanza = "3."
  Die Blü -- te tät __ ich sam -- meln __
  in ei -- nen gold -- nen, gold -- nen Krug; __
  der fiel __ mir aus __ den Hän -- den,
  dass er __ in Stü -- cke schlug. __
}
lyrSopIV = \lyricmode {
  \set stanza = "4."
  Draus sah ich Per -- len rin -- nen
  und Tröpf -- lein ro -- sen -- rot; __
  was mag der Traum be -- deu -- ten:
  Herz -- lieb -- ster, bist __ du tot? __
  % ach, Lieb -- ster, bist __ du tot? __
}
lyrSop = { \lyrSopI \lyrSopII \lyrSopIII \lyrSopIV }

lyrAltI = \lyricmode {
  \set stanza = "1."
  Ich hab’ die Nacht ge -- träu -- met
  wohl ei -- nen schwe -- ren, schwe -- ren Traum:
  Es wuchs in mei -- nem Gar -- ten
  ein Ros -- ma -- ri -- en -- baum. __
}
lyrAltII = \lyricmode {
  \set stanza = "2."
  Ein __ Kirch -- hof war der __ Gar -- ten,
  ein Blu -- men -- beet das dü -- stre Grab,
  und von __ den grü -- nen Bäu -- men __
  fiel Kron’ __ und Blü -- te __ ab. __
}
lyrAltIII = \lyricmode {
  \set stanza = "3."
  Die Blü -- te tät __ ich sam -- meln
  in ei -- nen gold -- nen Krug; __
  der fiel mir aus den Hän -- den, __
  dass er in Stü -- cke __ schlug. __
}
lyrAltIV = \lyricmode {
  \set stanza = "4."
  Draus sah ich Per -- len rin -- nen __
  und Tröpf -- lein ro -- sen-, ro -- sen -- rot; __
  was __ mag __ der Traum __ be -- deu -- ten: __
  Herz -- lieb -- ster, bist du __ tot? __
  % ach, Lieb -- ster, bist du __ tot? __
}
lyrAlt = { \lyrAltI \lyrAltII \lyrAltIII \lyrAltIV }

lyrSonlyI = \lyricmode {
  _ _ _ _ _ _ _
  _ _ _ \override LyricText.extra-offset = #'(0 . -2) \override LyricHyphen.extra-offset = #'(0 . -2) schwe -- ren \revert LyricText.extra-offset \revert LyricHyphen.extra-offset Traum: __
  \markup \null _ _ _ _ _ _
  _ _ _ _ _ _
}
lyrSonlyII = \lyricmode {
  _ _ _ _ _ _ _
  _ _ _ _ _ Grab, __
  \markup \null _ _ _ _ _ _
  _ _ _ _ _ _
}
lyrSonlyIII = \lyricmode {
  _ _ _ _ _ _ _
  _ _ _ gold -- nen, gold -- nen Krug; __
  \markup \null _ _ _ _ _ _
  _ _ _ _ _ _
}
lyrSonlyIV = \lyricmode {
  _ _ _ _ _ _ _
  _ _ _ ro -- sen -- rot; __
  \markup \null _ _ _ _ _ _
  _ _ _ _ _ _
}
lyrSonly = { \lyrSonlyI \lyrSonlyII \lyrSonlyIII \lyrSonlyIV }

lyrSAI = \lyricmode {
  \set stanza = "1."
  Ich hab’ die Nacht __ _ ge -- träu -- _ met
  wohl ei -- _ nen schwe -- _ ren, schwe -- ren Traum:
  Es wuchs in mei -- nem Gar -- ten
  ein Ros -- _ ma -- ri -- en -- _ baum. __
}
lyrSAII = \lyricmode {
  \set stanza = "2."
  Ein __ _ Kirch -- hof war __ _ der __ _ Gar -- _ ten,
  ein Blu -- _ men -- beet das dü -- stre Grab,
  und von __ _ den grü -- _ nen Bäu -- _ _ men __ _
  fiel Kron’ __ _ und Blü -- te __ _ ab. __
}
lyrSAIII = \lyricmode {
  \set stanza = "3."
  "Die*" Blü -- te tät __ ich sam -- _ meln __ _
  in ei -- nen \set lyricMelismaAlignment = #CENTER gold -- _ \unset lyricMelismaAlignment nen Krug; __ _ _ \markup \null
  der fiel __ _ mir aus __ _ den Hän -- _ den, __ _
  dass er __ _ in Stü -- cke __ _ schlug. __
}
lyrSAIV = \lyricmode {
  \set stanza = "4."
  Draus sah ich Per -- _ len rin -- _ _ nen __ _
  und Tröpf -- _ lein ro -- sen-, ro -- sen -- rot; __ _
  was __ _ mag __ _ der Traum __ _ be -- deu -- ten: __ _
  Herz -- lieb -- _ ster, bist __ _ du __ _ tot? __
  % ach, Lieb -- _ ster, bist __ _ du __ _ tot? __
}
lyrSA = { \lyrSAI \lyrSAII \lyrSAIII \lyrSAIV }

lyrTenI = \lyricmode {
  \set stanza = "1."
  Ich hab’ die Nacht __ ge -- träu -- met
  wohl ei -- nen schwe -- ren, schwe -- ren Traum:
  Es wuchs in mei -- nem Gar -- ten __
  ein Ros -- ma -- ri -- en -- baum. __
}
lyrTenII = \lyricmode {
  \set stanza = "2."
  Ein Kirch -- hof war der Gar -- ten,
  ein Blu -- men -- beet das dü -- stre Grab, __
  und von __ den grü -- nen __ Bäu -- men
  fiel Kron’ und __ Blü -- te ab. __
}
lyrTenIII = \lyricmode {
  \set stanza = "3."
  Die Blü -- te tät ich sam -- meln __
  in ei -- nen gold -- nen, gold -- nen Krug; __
  "der*" fiel mir aus den Hän -- den,
  dass er __ in Stü -- cke schlug. __
}
lyrTenIV = \lyricmode {
  \set stanza = "4."
  Draus __ sah ich Per -- len rin -- nen __
  und Tröpf -- lein ro -- sen-, ro -- sen -- rot;
  was mag der Traum __ be -- deu -- ten:
  Herz -- lieb -- ster, bist du tot? __
  % ach, Lieb -- ster, bist du tot? __
}
lyrTen = { \lyrTenI \lyrTenII \lyrTenIII \lyrTenIV }

lyrBasI = \lyricmode {
  \set stanza = "1."
  Ich hab’ die Nacht ge -- träu -- met
  wohl ei -- nen schwe -- ren Traum: __
  Es wuchs in mei -- nem __ Gar -- ten __
  ein Ros -- ma -- ri -- en -- baum. __
}
lyrBasII = \lyricmode {
  \set stanza = "2."
  Ein Kirch -- hof war der Gar -- ten,
  ein Blu -- men -- beet das dü -- stre Grab, __
  und von __ den grü -- nen __ Bäu -- men __
  fiel Kron’ __ und Blü -- te ab. __
}
lyrBasIII = \lyricmode {
  \set stanza = "3."
  Die Blü -- te tät ich sam -- meln
  in ei -- nen gold -- nen Krug; __
  der fiel __ mir aus __ den Hän -- den, __
  dass er in Stü -- cke schlug. __
}
lyrBasIV = \lyricmode {
  \set stanza = "4."
  Draus sah ich Per -- len rin -- nen
  und Tröpf -- lein ro -- sen-, ro -- sen -- rot; __
  was __ mag der Traum __ be -- deu -- ten: __
  Herz -- lieb -- ster, bist __ du tot? __
  % ach, Lieb -- ster, bist __ du tot? __
}
lyrBas = { \lyrBasI \lyrBasII \lyrBasIII \lyrBasIV }

\include "stylesheet.ily"
\include "kill-lyric-extender-below-minimum-length.ily"
\include "center-lyrics-ignoring-punctuation.ily"
\include "lyric-syllable-magnetic-snap.ily"
%% \include "align-lyrics-on-vowels.ily"
\include "merge-rests-engraver.ily"

\paper {
  system-count = 9
  page-count = 3
  %systems-per-page = 3
  inner-margin = #(* 21 mm (/ (- (sqrt 5.) 1.) 2.))
  outer-margin = #(* 21 mm (/ (- (sqrt 5.) 1.) 2.))
  top-margin = #(/ (* 29.7 mm) (/ (+ 2. 1. (sqrt 5.)) 2.))
  bottom-margin = #(* 29.7 mm)
  % print-page-number = ##f
  % indent = 0

  footnote-separator-markup = \markup \null
  % footnote-padding = 0.5\mm
  % footnote-footer-padding = 0.5\mm
  % footnote-number-raise = 0.5\mm
}

\header {
  dedication = \markup { \normal-text \abs-fontsize #10 "Acht ausgewählte Volkslieder für gemischten Chor" }
  title = \markup { \vspace #1.4 \abs-fontsize #16 "4. Ich hab’ die Nacht geträumet" }
  composer = \markup {
    \abs-fontsize #10
    "überliefert von Friedrich Nicolai (1733 – 1811), 1777"
  }
  arranger = \markup {
    \abs-fontsize #10
    "Satz: Max Reger (1873 – 1916), 1899"
  }
  poet = \markup {
    \vspace #1.4
    \abs-fontsize #10
    "vermutlich August Zarnack (1777 – 1827), um 1820"
  }
  pdftitle = "Ich hab’ die Nacht geträumet"
  pdfauthor = "Satz: Max Reger; Text: August Zarnack; Notensatz: Alexander Kobel"
}

\layout {
  \context {
    \ChoirStaff
    localAlterations = #'()
  }
}
accidental-styles.choral =
  #`(#f
     (Voice ,(make-accidental-rule 'same-octave 0)
      Staff ,(make-accidental-rule 'same-octave 1)
            ,(make-accidental-rule 'any-octave 0)
            ,(make-accidental-rule 'same-octave 1)
      ChoirStaff ,(make-accidental-rule 'any-octave 0)
                 ,(make-accidental-rule 'same-octave 1))
     ()
     ChoirStaff)
accidental-styles.choral-cautionary =
  #`(#f
     (Voice ,(make-accidental-rule 'same-octave 0)
      Staff ,(make-accidental-rule 'same-octave 1))
     (Staff ,(make-accidental-rule 'any-octave 0)
            ,(make-accidental-rule 'same-octave 1)
      ChoirStaff ,(make-accidental-rule 'any-octave 0)
                 ,(make-accidental-rule 'same-octave 1))
     ChoirStaff)

\score {
  <<
    \new Devnull \perScore
    \new Devnull \breaks

    \new ChoirStaff <<
      \accidentalStyle choral
      %{
      \new Staff \with { instrumentName = "Sopran" } <<
        \perStaff
        \context Voice = "sop" << \perVoice \sop \sopDyn >>
      >>
      \new Lyrics \lyricsto "sop" \lyrSop

      \new Staff \with { instrumentName = "Alt" } <<
        \perStaff
        \context Voice = "alt" << \perVoice \alt \altDyn >>
      >>
      \new Lyrics \lyricsto "alt" \lyrAlt
      %}
      \new Staff = "women" \with { instrumentName = \markup \center-column { "Sopran" "Alt" } } <<
        \perStaff
        \context Voice = "sop" \with { \consists Ambitus_engraver \override Ambitus.X-offset = #1.0 } << \perVoice \voiceOne \sop \sopDyn \topmostStaff >>
        \context Voice = "alt" \with { \consists Ambitus_engraver \override Ambitus.X-offset = #-1.0 } << \perVoice \voiceTwo \alt >>
      >>
      \new Lyrics \lyricsto Staff = "women" \lyrSA
      \new Lyrics \with { alignAboveContext = "women" } \lyricsto "sop" \lyrSonly

      \new Staff \with { instrumentName = "Tenor" } <<
        \perStaff
        \clef "treble_8"
        \context Voice = "ten" \with { \consists Ambitus_engraver } << \perVoice \ten \tenDyn >>
      >>
      \new Lyrics \lyricsto "ten" \lyrTen

      \new Staff \with { instrumentName = "Bass" } <<
        \perStaff
        \clef "bass"
        \context Voice = "bas" \with { \consists Ambitus_engraver } << \perVoice \bas \basDyn >>
      >>
      \new Lyrics \lyricsto "bas" \lyrBas
    >>
  >>

  \layout {
    \context {
      \Score
      % \override SpacingSpanner.uniform-stretching = ##t
      \override FootnoteItem.annotation-line = ##f
      barNumberVisibility = #first-bar-number-invisible-and-no-parenthesized-bar-numbers
    }
    \context {
      \Staff
      \consists Mark_engraver
      \consists #merge-rests-engraver
    }
    \context {
      \Voice
      \override DynamicTextSpanner.style = #'none
      \override TextSpanner.font-size = #1
    }
    \context {
      \Lyrics
      %\override LyricWord.after-line-breaking = #(lyric-word-compressor 0.4)
      %\override LyricHyphen.minimum-distance = #0
      %\override LyricSpace.minimum-distance = #1
    }
  }
  \midi {}
}

\markup {
  \translate #'(0 . -2)
  \abs-fontsize #8
  \left-column {
    \null
    \concat { "Quelle: Joseph Aibl Verlag, München, 1899, Platte 2948" \super "d" "; "
      "Neuauflage von Universal Edition, Wien, 1899, als Platte 1460." }
    "Davon abweichend: Modernisierte Orthographie und Textkorrekturen (Vorlage: Takt 7: „Rosmari[n]enbaum“;"
    "Takt 24: „brach“ statt „schlug“; Takte 30 und 31: „Herzliebster“ statt „ach, Liebster“) nach der überlieferten Textfassung."
  }
}
