#(define (make-romande-biolinum-mplus-tree factor)
  (make-expert-font-tree
   `(;; It's not a good idea to scale a font up here; it will conflict with
     ;; line spacing based on staff size units. Instead, scale larger fonts
     ;; down to match the highest one.

     (roman      upright normal "Romande ADF Std Regular")
     (roman      italic  normal "Romande ADF Std Italic")
     (roman      upright bold   "Romande ADF Std DemiBold")
     (roman      italic  bold   "Romande ADF Std DemiBold Italic")
     (roman      caps    normal "Romande ADF Style Std")
     (roman      caps    bold   "Romande ADF Style Std DemiBold")

     (condensed  upright normal "Romande ADF No2 Std Regular")
     (condensed  italic  normal "Romande ADF No2 Std Italic")
     (condensed  upright bold   "Romande ADF No2 Std DemiBold")
     (condensed  italic  bold   "Romande ADF No2 Std DemiBold Italic")

     (sans       upright normal "Linux Biolinum O Regular")
     (sans       italic  normal "Linux Biolinum O Italic")
     (sans       upright bold   "Linux Biolinum O Bold")
     (sans       italic  bold   "Linux Biolinum Capitals O Regular")
     (sans       caps    normal "Linux Biolinum Capitals O Regular")

     (typewriter upright normal "M+ 2m light")
     (typewriter italic  normal "M+ 2m regular")
     (typewriter upright bold   "M+ 2m medium")
     (typewriter italic  bold   "M+ 2m bold")
     )
   factor))

#(define (make-venturis-tree factor)
  (make-expert-font-tree
   `(;; It's not a good idea to scale a font up here; it will conflict with
     ;; line spacing based on staff size units. Instead, scale larger fonts
     ;; down to match the highest one.

     (roman      upright normal "Venturis ADF No2 Med Regular")
     (roman      italic  normal "Venturis ADF No2 Med Italic")
     (roman      upright bold   "Venturis ADF No2 Med Bold")
     (roman      italic  bold   "Venturis ADF No2 Med Bold Italic")
     (roman      caps    bold   "Venturis ADF Titling No2 Bold")

     (condensed  upright normal "Venturis ADF No2 Cd Regular")
     (condensed  italic  normal "Venturis ADF No2 Cd Italic")
     (condensed  upright bold   "Venturis ADF No2 Cd Bold")
     (condensed  italic  bold   "Venturis ADF No2 Cd Bold Italic")

     (sans       upright normal "Venturis Sans ADF Regular")
     (sans       italic  normal "Venturis Sans ADF Italic")
     (sans       upright bold   "Venturis Sans ADF Bold")
     (sans       italic  bold   "Venturis Sans ADF Bold Italic")

     ;; (typewriter upright normal "M+ 2m light")
     ;; (typewriter italic  normal "M+ 2m regular")
     ;; (typewriter upright bold   "M+ 2m medium")
     ;; (typewriter italic  bold   "M+ 2m bold")
     )
   factor))

% #(define (make-romande-biolinum-mplus-tree factor)
%   (make-expert-font-tree
%    `(;; It's not a good idea to scale a font up here; it will conflict with
%      ;; line spacing based on staff size units. Instead, scale larger fonts
%      ;; down to match the highest one.

%      ;; (roman       upright normal "Linux Biolinum O Regular")
%      (roman      upright normal "Calendas Plus Regular")
%      (roman      italic  normal "Calendas Plus Italic")
%      (roman      upright bold   "Calendas Plus Bold")

%      (condensed  upright normal "Calendas Plus Regular")
%      (condensed  italic  normal "Calendas Plus Italic")
%      (condensed  upright bold   "Calendas Plus Bold")

%      (sans       upright normal "Linux Biolinum O Regular")
%      (sans       italic  normal "Linux Biolinum O Italic")
%      (sans       upright bold   "Linux Biolinum O Bold")
%      (sans       italic  bold   "Linux Biolinum Capitals O Regular")
%      (sans       caps    normal "Linux Biolinum Capitals O Regular")

%      (typewriter upright normal "M+ 2m light")
%      (typewriter italic  normal "M+ 2m regular")
%      (typewriter upright bold   "M+ 2m medium")
%      (typewriter italic  bold   "M+ 2m bold")
%      )
%    factor))

\paper {
  #(include-special-characters)
}

#(define (mm->staffUnits height) (* (/ height 25.4) 72.27))
staffSize = #(mm->staffUnits 6.2)
#(set-global-staff-size staffSize)

\paper {
  #(define fonts
    (make-romande-biolinum-mplus-tree
     (/ staffSize 20)))
  % #(define fonts
  %   (make-venturis-tree
  %    (/ staffSize 20)))
}

%% #(set! paper-alist (cons '("paris" . (cons (* 190 mm) (* 270 mm))) paper-alist))
%% #(set-default-paper-size "paris")

%% \paper {
%%   two-sided = ##t
%%   inner-margin = 8\mm
%%   outer-margin = 16\mm

%%   top-margin = 8\mm
%%   bottom-margin = 20\mm
%% }

#(set-default-paper-size "a4")

\paper {
  two-sided = ##t
  inner-margin = 15\mm
  outer-margin = 15\mm

  top-margin = 10\mm
  bottom-margin = 25\mm
}

\paper {
  ragged-last-bottom = ##f
  tagline = ##f

  top-markup-spacing = #'((basic-distance . 0) (minimum-distance . 0) (stretchability . 20))
  markup-system-spacing = #'((basic-distance . 3) (minimum-distance . 2) (padding . 5) (stretchability . 30))
  top-system-spacing = #'((minimum-distance . 12) (padding . -100))
  last-bottom-spacing = #'((minimum-distance . 5) (padding . -100))
  score-markup-spacing = #'((basic-distance . 3) (minimum-distance . 2) (padding . 2))
  system-system-spacing.stretchability = #15
}

\header {
  tagline = \markup \fill-line {
    \with-dimensions #'(0 . 0) #'(0 . 0)
    \with-color #grey
    \translate #'(0 . -7)
    \general-align #Y #UP
    \abs-fontsize #8 \column {
      \concat { #(strftime "%Y-%m-%d" (localtime (current-time))) ". Engraved by " \with-url #"http://www.a-kobel.de/" "Alexander Kobel (www.a-kobel.de)"
                " using " \with-url #"http://www.lilypond.org/" #(format #f "LilyPond ~a (www.lilypond.org)" (lilypond-version)) }
      \concat { "and the ADF Romande font collection by " \with-url #"http://arkandis.tuxfamily.org/" "Hirwen Harendal and the Arkandis Digital Foundry (arkandis.tuxfamily.org)." }
    }
    \null
  }

  copyright = \markup \fill-line {
    \with-dimensions #'(0 . 0) #'(0 . 0)
    \with-color #grey
    \translate #'(0 . -7)
    \general-align #Y #UP
    \abs-fontsize #8 \column {
      \fill-line { \concat { "This edition may be " \italic "freely" " distributed, duplicated, performed, and recorded " \italic "for non-commercial purposes," }
                   %% \concat { \scale #'(-1 . 1) "©" #(strftime " %Y-%m-%d" (localtime (current-time))) }
                   \strut
      }
      \fill-line { "including concerts with admission fees given by non-profit organizations."
                   %% \concat { \with-url #"http://www.a-kobel.de/" "Alexander Kobel" }
                   \strut
      }
    }
    \null
  }
}

\layout {
  \context {
    \Lyrics
    \override LyricText.font-family = #'condensed
    \override LyricHyphen.height = #0.5 %0.42
    \override LyricHyphen.length = #0.66
    \override LyricHyphen.thickness = #1.7 %1.3
  }
  \context {
    \Score
    \accidentalStyle Score.modern
    \override BarNumber.font-size = #0
    \override BarNumber.extra-offset = #'(-0.3 . 0.3)
  }
}

\include "lyric-hyphen-replacement.ily"